public inbox for fstests@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH] xfs/288: _notrun if xfs_db write doesn't support -d option
@ 2018-07-30  7:42 Zorro Lang
  2018-07-30  8:50 ` Xiao Yang
  0 siblings, 1 reply; 6+ messages in thread
From: Zorro Lang @ 2018-07-30  7:42 UTC (permalink / raw)
  To: fstests

Commit b3cf8b72334fd35ef961869506e5a72ab398bc82 help xfs/288 to
support v5 filesystems testing, but there're still some old
distributions don't support xfs_db 'write -d' usage. Then this
case fails on them.

For compatible with older versions, skip this test on v5 xfs
if xfs_db write command doesn't support -d option.

Signed-off-by: Zorro Lang <zlang@redhat.com>
---
 tests/xfs/288 | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/tests/xfs/288 b/tests/xfs/288
index bccdb6fc..f8e117ed 100755
--- a/tests/xfs/288
+++ b/tests/xfs/288
@@ -40,6 +40,14 @@ _require_attrs
 _scratch_mkfs_xfs 2>/dev/null | _filter_mkfs 2>$tmp.mkfs >/dev/null
 . $tmp.mkfs
 
+# Require write -d option to write invalid data into V5 filesystem
+if [ $_fs_has_crcs -eq 1 ]; then
+	_scratch_xfs_db -x -c "help write" | egrep -q "(-d)"
+	if [ $? -ne 0 ]; then
+		_notrun "xfs_db write doesn't support -d option"
+	fi
+fi
+
 _scratch_mount
 
 touch $SCRATCH_MNT/$seq.attrfile
-- 
2.14.4


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2018-07-31  5:28 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-07-30  7:42 [PATCH] xfs/288: _notrun if xfs_db write doesn't support -d option Zorro Lang
2018-07-30  8:50 ` Xiao Yang
2018-07-30  9:16   ` Zorro Lang
2018-07-31  1:49     ` Xiao Yang
2018-07-31  3:28       ` Zorro Lang
2018-07-31  3:39         ` Xiao Yang

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox